<?
$infos=get_user_info();
$name=$_COOKIE['v_name'];
$nick=$_COOKIE['v_nick'];
$url=$infos['url'];

$nick_size=16;
$nick_len=mb_strlen($nick,'UTF8');
if($nick_len>9){$nick_size=13;}
$i=1;
while($i<16)
{
	$num=$num+$_POST['i'.$i];
	$i++;
}

if($num<26){$level='你很可能是一个孤僻的人，思想不活跃、不开朗、喜欢独来独往、但是，这一切并不意味着你不会交朋友，更不能武断地说你人缘差、其主要原因在于，你对于社交活动，对人和人之间的关系不感兴趣、但是，请你记住，一个人生活在社会中，就不可能不和人交往，认识到这一点，你就会积极地改善自己的交友方式了。';}
if($num>=26&&$num<36){$level='你和朋友们的关系不牢固，时好时坏，经常处于一种起伏波动的状态中，这就表明，一方面你确实想让别人喜欢你，想多交一些朋友，尽管你作出很大努力，但是别人并不一定喜欢你，朋友跟你在一起可能不会感到轻松愉快、你只有认真坚持自己的言行，虚心听取那些逆耳忠言，真诚对待朋友，学会正确地待人接物，你的处境才会改变。';}
if($num>=36){$level='你们相处得不错、而且，你能够从平凡的生活中得到很多乐趣、你的生活是比较丰富多彩而且充实的，你很可能在朋友中有一定的威信，他们很信任你、总之，你会交朋友，你的人缘很好。';}

$img_path='./imgs/ry_1.png';
$img=getImgType($img_path);
$img=createImg($img,$nick,5,50,50,0,$nick_size,'19f','yahei');
$img=createImg($img,$level,15,85,17,0,12,'fff','yahei');

$content='所谓“人缘”，即是指同领导、群众、同事、朋友的关系，那么你的人缘怎样呢？快来做个专业测试吧~！ #人缘好坏#：'.$url;
$rt_info=post_send($content,$img);